<?php

if (!defined('_PS_VERSION_')) {
    exit;
}

class AfexDataReconciliation extends ObjectModel
{
    public $id_afex_data_reconciliation;
    public $order_reference;
    public $initial_status;
    public $post_process_status;
    public $status;

    public static $definition = [
        'table' => 'afex_shipping_data_reconciliation',
        'primary' => 'id_afex_data_reconciliation',
        'fields' => [
            'order_reference' => ['type' => self::TYPE_STRING, 'validate' => 'isString'],
            'carrier_awb' => ['type' => self::TYPE_INT, 'validate' => 'isInt'],
            'initial_status' => ['type' => self::TYPE_STRING, 'validate' => 'isString'],
            'post_process_status' => ['type' => self::TYPE_STRING, 'validate' => 'isString'],
            'status' => ['type' => self::TYPE_STRING, 'validate' => 'isString'],
            'note' => ['type' => self::TYPE_STRING, 'validate' => 'isString'],
            'date_time' => ['type' => self::TYPE_DATE, 'validate' => 'isDate'],
        ],
    ];
}